devel/p5-Array-Compare - The NetBSD Packages Collection

Perl extension for comparing arrays

Array::Compare is a Perl module which allows you to compare two arrays.

It has a number of features which allow you to control the way that the
arrays are compared:

* white space in array elements can be significant or ignored.
* particular columns in the arrays can be ignored.

Additionally you can get a simple true/false return value or the number
of columns which differ or an array containing the indexes of the
differing columns.

Build dependencies

devel/p5-Test-NoWarnings devel/p5-Module-Build pkgtools/cwrappers

Runtime dependencies

devel/p5-Moose devel/p5-Type-Tiny devel/p5-Moo lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Array-Compare-3.0.8.tgz
NetBSD 8.0earmv7hfp5-Array-Compare-3.0.3nb1.tgz
NetBSD 8.0earmv7hfp5-Array-Compare-3.0.8.tgz
NetBSD 8.0i386p5-Array-Compare-3.0.3nb1.tgz
NetBSD 8.0i386p5-Array-Compare-3.0.8.tgz
NetBSD 8.0powerpcp5-Array-Compare-3.0.3nb1.tgz
NetBSD 8.0powerpcp5-Array-Compare-3.0.8.tgz
NetBSD 8.0powerpcp5-Array-Compare-3.0.8.tgz
NetBSD 8.0powerpcp5-Array-Compare-3.0.8.tgz
NetBSD 8.0x86_64p5-Array-Compare-3.0.3nb1.tgz
NetBSD 8.0x86_64p5-Array-Compare-3.0.8.tgz
NetBSD 9.0aarch64p5-Array-Compare-3.0.8.tgz
NetBSD 9.0aarch64p5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0aarch64p5-Array-Compare-3.0.8.tgz
NetBSD 9.0alphap5-Array-Compare-3.0.8.tgz
NetBSD 9.0alphap5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0alphap5-Array-Compare-3.0.8.tgz
NetBSD 9.0earmp5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0earmp5-Array-Compare-3.0.8.tgz
NetBSD 9.0earmp5-Array-Compare-3.0.8.tgz
NetBSD 9.0earmv6hfp5-Array-Compare-3.0.8.tgz
NetBSD 9.0earmv6hfp5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0earmv6hfp5-Array-Compare-3.0.8.tgz
NetBSD 9.0earmv7hfp5-Array-Compare-3.0.8.tgz
NetBSD 9.0earmv7hfp5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0earmv7hfp5-Array-Compare-3.0.8.tgz
NetBSD 9.0earmv7hfp5-Array-Compare-3.0.8.tgz
NetBSD 9.0i386p5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0i386p5-Array-Compare-3.0.8.tgz
NetBSD 9.0mips64ebp5-Array-Compare-3.0.8.tgz
NetBSD 9.0mips64ebp5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0mips64ebp5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0mips64ebp5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0mips64ebp5-Array-Compare-3.0.8.tgz
NetBSD 9.0powerpcp5-Array-Compare-3.0.8.tgz
NetBSD 9.0powerpcp5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0powerpcp5-Array-Compare-3.0.8.tgz
NetBSD 9.0powerpcp5-Array-Compare-3.0.8.tgz
NetBSD 9.0sh3elp5-Array-Compare-3.0.8.tgz
NetBSD 9.0sh3elp5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0sh3elp5-Array-Compare-3.0.8.tgz
NetBSD 9.0sparc64p5-Array-Compare-3.0.8.tgz
NetBSD 9.0sparc64p5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0sparc64p5-Array-Compare-3.0.8.tgz
NetBSD 9.0sparcp5-Array-Compare-3.0.8.tgz
NetBSD 9.0sparcp5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0sparcp5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0sparcp5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0sparcp5-Array-Compare-3.0.8.tgz
NetBSD 9.0x86_64p5-Array-Compare-3.0.8.tgz
NetBSD 9.0x86_64p5-Array-Compare-3.0.8.tgz
NetBSD 9.0x86_64p5-Array-Compare-3.0.3nb1.tgz
NetBSD 9.0x86_64p5-Array-Compare-3.0.8.tgz
NetBSD 9.0x86_64p5-Array-Compare-3.0.8.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.